aboutsummaryrefslogtreecommitdiff
path: root/ci/setup.sh
diff options
context:
space:
mode:
authorLibravatar vnugent <public@vaughnnugent.com>2024-01-21 21:57:54 -0500
committerLibravatar vnugent <public@vaughnnugent.com>2024-01-21 21:57:54 -0500
commita44f7b7dc089776a7817cf077b3f3ae3db7fc22e (patch)
tree089bfa7e9eba560f9ae596568d6d981939e597f3 /ci/setup.sh
parent6cb7da37824d02a1898d08d0f9495c77fde4dd1d (diff)
configure ci, patch totp, and bookmarks context
Diffstat (limited to 'ci/setup.sh')
-rw-r--r--ci/setup.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/ci/setup.sh b/ci/setup.sh
new file mode 100644
index 0000000..0cc153b
--- /dev/null
+++ b/ci/setup.sh
@@ -0,0 +1,50 @@
+#! /bin/bash
+
+echo "Testing for go-task"
+#test for platform tools
+if ! command -v task &> /dev/null
+then
+ echo "You must install go-task: from https://taskfile.dev/installation/"
+ exit 1
+fi
+
+echo "Testing for cmake"
+#test for cmake
+if ! command -v cmake &> /dev/null
+then
+ echo "You must have cmake installed globally"
+ exit 1
+fi
+
+echo "Testing for GNUMake"
+#test for make
+if ! command -v make &> /dev/null
+then
+ echo "You must have GNUMake installed globally"
+ exit 1
+fi
+
+echo "Testing for git"
+#test for git
+if ! command -v git &> /dev/null
+then
+ echo "You must have git installed globally"
+ exit 1
+fi
+
+#build the argon2 native library
+pushd argon2 > /dev/null
+echo "Building Argon2 native library"
+make
+argon2_path=$(find "$(pwd)" -iname "libargon2.so.*")
+
+echo "Add the following environment variable"
+echo VNLIB_ARGON2_DLL_PATH=$argon2_path
+popd > /dev/null
+
+#build the vnlib_compress native library
+pushd vnlib_compress > /dev/null
+echo "Building vnlib_compress native library"
+task
+echo "Finished building vnlib_compress"
+popd > /dev/null \ No newline at end of file